%define name rpm-mandriva-setup
%define version 1.63
%define release %mkrel 1

# This can be useful for backport, as rpm-4.2
# provides the emacs-spec mode
%define have_emacsmodespec 1
%if %mdkversion < 200600
%define have_emacsmodespec 0
%endif

%{?_with_emacsspecmode: %define have_emacsmodespec 1}
%{?_without_emacsspecmode: %define have_emacsmodespec 0}

Summary: The Mandriva rpm configuration and scripts
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.gz
Source1: ChangeLog
License: GPL
Group: System/Configuration/Packaging
Url: http://svn.mandriva.com/cgi-bin/viewvc.cgi/soft/rpm/rpm-setup/
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: rpm-devel

%description
The Mandriva rpm configuration and scripts.

%package build
Group: System/Configuration/Packaging
Summary: The Mandriva rpm configuration and scripts to build rpms
Requires: spec-helper >= 0.6-5mdk
Requires: multiarch-utils >= 1.0.3
Requires: pkgconfig
Requires: %name = %version-%release
%if %have_emacsmodespec
Conflicts: rpm < 4.4.1
%endif
Conflicts: spec-helper <= 0.26.1

%description build
The Mandriva rpm configuration and scripts dedicated to build rpms.

%prep
%setup -q
cp %{_sourcedir}/ChangeLog .

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

mkdir -p %buildroot%{_sysconfdir}/rpm/macros.d

%if %have_emacsmodespec
# spec mode for emacs
install -d $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp/
install -m644 rpm-spec-mode.el $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp/

install -d $RPM_BUILD_ROOT%{_sysconfdir}/emacs/site-start.d
cat <<EOF >$RPM_BUILD_ROOT%{_sysconfdir}/emacs/site-start.d/%{name}.el
(setq auto-mode-alist (cons '("\\\\.spec$" . rpm-spec-mode) auto-mode-alist))
(autoload 'rpm-spec-mode "rpm-spec-mode" "RPM spec mode (mandrakized)." t)
EOF
%endif

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog
%_bindir/rpmgenplatform
%dir %_prefix/lib/rpm/mandriva
%config(noreplace) %_sysconfdir/rpm/platform
%ifarch x86_64
%config(noreplace) %_sysconfdir/rpm/platform32
%endif
%_prefix/lib/rpm/mandriva/rpmrc
%_prefix/lib/rpm/mandriva/macros
%_prefix/lib/rpm/mandriva/rpmpopt
%_prefix/lib/rpm/mandriva/*-%_target_os

%dir %{_sysconfdir}/rpm/macros.d

%files build
%defattr(-,root,root)
%exclude %_prefix/lib/rpm/mandriva/rpmrc
%exclude %_prefix/lib/rpm/mandriva/macros
%exclude %_prefix/lib/rpm/mandriva/rpmpopt
%exclude %_prefix/lib/rpm/mandriva/*-%_target_os
%_prefix/lib/rpm/mandriva/*

%if %have_emacsmodespec
%{_datadir}/emacs/site-lisp/rpm-spec-mode.el
%config(noreplace) %{_sysconfdir}/emacs/site-start.d/%{name}.el
%endif


%changelog
* Tue Oct 02 2007 Olivier Blin <oblin@mandriva.com> 1.63-1mdv2008.0
+ Revision: 94525
- 1.63
- fix check for kmod.prov (reported by Vincent Danen)

* Thu Sep 27 2007 Olivier Blin <oblin@mandriva.com> 1.62-1mdv2008.0
+ Revision: 93247
- 1.62 (#30935, thanks to Danny for the help)
- kmod.prov: print module provides even if no version is found
- kmod.prov: use vermagic instead of srcversion
- kmod.prov: fix match of modules with '-'

* Tue Sep 25 2007 Olivier Blin <oblin@mandriva.com> 1.61-1mdv2008.0
+ Revision: 92786
- 1.61
- substitute $PACKAGE_NAME in kmod() provides
- fix handling multiple dkms.conf files (it probably won't happen in real life)

* Thu Sep 20 2007 Pixel <pixel@mandriva.com> 1.60-1mdv2008.0
+ Revision: 91655
- 1.60:
- handle symlinks the same way as files in find-lang.pl, some symlinks in
  documentation were previously left out (Anssi)

* Fri Sep 14 2007 Pixel <pixel@mandriva.com> 1.59-1mdv2008.0
+ Revision: 85645
- 1.59:
- find-requires:
  o fix GCJ AOT directory regexp in find-requires.in (anssi)
  o remove "Using BuildRoot: ..." message, it's mostly a duplicate of rpm's
    "Finding Requires ...", and it's too verbose when using "rpm -bb --quiet"

* Mon Sep 10 2007 Pixel <pixel@mandriva.com> 1.58-1mdv2008.0
+ Revision: 84080
- 1.58:
- find-requires.in:
  o do not use buildroot since it may contain double slashes whereas filelist
    do not (fixes missing require on perl-base and python-base)
- filter.sh, macros.in:
  o handle double slashes in buildroot in filter.sh in new file exception
    macros, in case tmppath contains a trailing slash as in iurt. This also
    fixes handling of exception macros that contain spaces, which has been
    broken for a while.
- find-provides.in, find-requires.in: (Anssi)
  o ignore library dependencies of objects in /usr/lib(64)/gcj/, which are GCJ
    AOT compiled shared objects and are only useful when running the software
    in the package with gij (gcc java). If the user uses some other java VM,
    they do not need their dependencies satisfied.

* Thu Sep 06 2007 Pixel <pixel@mandriva.com> 1.57-1mdv2008.0
+ Revision: 81010
- 1.57:
- create /etc/rpm/platform32 (used instead of /etc/rpm/platform when run through linux32)

* Thu Sep 06 2007 Pixel <pixel@mandriva.com> 1.56-1mdv2008.0
+ Revision: 80698
- 1.56:
- find-lang.pl: include file by file except with --all-name (nanardon)
- set %%_host_cpu32 (used instead of %%_host_cpu when run through linux32)

* Tue Sep 04 2007 Olivier Blin <oblin@mandriva.com> 1.55-1mdv2008.0
+ Revision: 79435
- 1.55: add package version in dkms.conf kmod() provides

* Tue Sep 04 2007 Olivier Blin <oblin@mandriva.com> 1.54-1mdv2008.0
+ Revision: 79141
- 1.54: find kmod() provides in dkms.conf files

* Tue Aug 28 2007 Pixel <pixel@mandriva.com> 1.53-1mdv2008.0
+ Revision: 72787
- 1.53 (ensure %%debug_package doesn't modify %%{summary} in %%install section)

* Sun Aug 26 2007 Olivier Thauvin <nanardon@mandriva.org> 1.52-1mdv2008.0
+ Revision: 71487
- 1.52

* Thu Aug 23 2007 Olivier Thauvin <nanardon@mandriva.org> 1.51-1mdv2008.0
+ Revision: 69965
- 1.51 (find-lang fixes again)

* Tue Aug 21 2007 Olivier Thauvin <nanardon@mandriva.org> 1.50-1mdv2008.0
+ Revision: 68455
- 1.50

* Tue Aug 21 2007 Olivier Thauvin <nanardon@mandriva.org> 1.49-1mdv2008.0
+ Revision: 68393
- 1.49 (fix #32366)

* Thu Aug 02 2007 Pixel <pixel@mandriva.com> 1.48-1mdv2008.0
+ Revision: 58139
- tell rpmlib to open all indices before doing chroot.
  fixes "db4 error"s like #31922, and may fix #31873
  + Olivier Thauvin <nanardon@mandriva.org>
    - add default buildroot definition
    -fix #31973 (Impossible to exclude single files from autoreq/autoprov)

* Sat Jul 14 2007 Olivier Thauvin <nanardon@mandriva.org> 1.47-1mdv2008.0
+ Revision: 51909
- 1.47:
  o restore lost change after rpm breakage
  o lzma switch
  o bug fixes

* Fri Jul 06 2007 Olivier Thauvin <nanardon@mandriva.org> 1.46-1mdv2008.0
+ Revision: 48842
- 1.46: fix gconf macros (F. Crozat)

* Tue Jun 26 2007 Olivier Thauvin <nanardon@mandriva.org> 1.45-1mdv2008.0
+ Revision: 44447
- 1.45:
  o platform handle all linux case
  o rework find_lang (managing man page too)
  o use --stack-protector in optflags

* Tue Jun 19 2007 Andreas Hasenack <andreas@mandriva.com> 1.44-1mdv2008.0
+ Revision: 41507
- updated to version 1.44:
  - added -fstack-protector to serverbuild macro

* Tue Jun 19 2007 Olivier Thauvin <nanardon@mandriva.org> 1.43-1mdv2008.0
+ Revision: 41157
- 1.43 (improve platform list)
- 1.42
  o disable libtoolize by default
  o doc files are going into PKGNAME/ instead PKGNAME/VERSION
  o provide a /etc/rpm/platform for rpm 4.4.8 and above

* Wed May 09 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1.41-1mdv2008.0
+ Revision: 25687
- Updated from 1.41, it removes duplicated macros already in rpm-helper,
  see ticket #30568.
- Added ChangeLog as Source, it isn't provided with svn branch on
  mandriva but was in previous 1.40 tarball, and is generated from svn
  branch from what I could see. Also updated it with changelog from 1.40
  to 1.41.


* Fri Mar 16 2007 Olivier Thauvin <nanardon@mandriva.org> 1.40-1mdv2007.1
+ Revision: 144778
- 1.40: fix install-info macros
- 1.39: add --with-html option for */doc/HTML (blino)

* Sat Mar 10 2007 Olivier Thauvin <nanardon@mandriva.org> 1.38-1mdv2007.1
+ Revision: 140790
- fix buildrequires
- 1.38
 o handle haskell dependencies (using external tools)

* Mon Feb 19 2007 Götz Waschk <waschk@mandriva.org> 1.37-1mdv2007.1
+ Revision: 122772
- filter devel(ld-linux) if using the objdump method too
- fix url
- use the right configure macro

* Sun Feb 18 2007 Olivier Thauvin <nanardon@mandriva.org> 1.36-2mdv2007.1
+ Revision: 122329
- requires pkgconfig for building to ensure dependencies are properly filled

* Sat Feb 17 2007 Olivier Thauvin <nanardon@mandriva.org> 1.36-1mdv2007.1
+ Revision: 122189
- 1.36

* Fri Feb 16 2007 Olivier Thauvin <nanardon@mandriva.org> 1.35-1mdv2007.1
+ Revision: 122015
- 1.35

* Mon Jan 15 2007 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.34-1mdv2007.1
+ Revision: 109088
- auto-detect binary files that Requires: rtld(GNU_HASH)

* Fri Dec 01 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.33-1mdv2007.1
+ Revision: 89719
- fix ppc optflags
- fix ppc64 multilib
- add ppc32 optflags

* Thu Nov 30 2006 Pixel <pixel@mandriva.com> 1.32-1mdv2007.1
+ Revision: 89343
- make "rpm -qa" fast, using --nosignature (#23121)
- find-requires: (gb)
  o Merge: exclude linux-vdso64 from devel() autorequires.

* Fri Nov 10 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.31-1mdv2007.1
+ Revision: 80557
- 1.31
- update default optimization flags for i586 & ppc64
- fix conditionals

* Thu Sep 07 2006 Olivier Thauvin <nanardon@mandriva.org> 1.29-3mdv2007.0
+ Revision: 60327
- revert again mkrel which magically came back, grrr

* Sat Sep 02 2006 Olivier Thauvin <nanardon@mandriva.org> 1.29-2mdv2007.0
+ Revision: 59389
- back to 0.29 + patch to please the FREEZE
- 1.30 emergency fix clean_icon_cache (goetz)

* Fri Sep 01 2006 Olivier Thauvin <nanardon@mandriva.org> 1.29-1mdv2007.0
+ Revision: 59067
- being wrong hapen sometimes: revert last change

* Fri Sep 01 2006 Olivier Thauvin <nanardon@mandriva.org> 1.28-1mdv2007.0
+ Revision: 58928
- 1.28 (subrel before distsuffix)

* Thu Aug 31 2006 Olivier Thauvin <nanardon@mandriva.org> 1.27-1mdv2007.0
+ Revision: 58819
- 1.27
- Import rpm-mandriva-setup

* Thu Jul 27 2006 Olivier Thauvin <nanardon@mandriva.org> 1.26-1mdv2007.0
- 1.26
- pkgconfig file can be located in /usr/share/pkgconfig, looking for it
  to create requirement (thanks Gotz)

* Fri Jul 14 2006 Olivier Blin <oblin@mandriva.com> 1.25-1mdv2007.0
-  1.25:
   o Force also icon cache generation on uninstall
     or removed files might be left in cache (Frederic Crozat)

* Fri Jun 30 2006 Olivier Blin <oblin@mandriva.com> 1.24-1mdv2007.0
- 1.24:
  o use %%mkrel by default in new spec files (rpm-spec-mode for emacs)

* Sun Jun 18 2006 Olivier Thauvin <nanardon@mandriva.org> 1.23-1mdv2007.0
- 1.23
- add desktop and scrollkeeper macro (F. Crozat)
- add _webapp* macros

* Sun Jun 04 2006 Olivier Thauvin <nanardon@mandriva.org> 1.22-1mdv2007.0
- 1.22
- enable pkgconfig/libtool provides
- strip bad requirement for ppc

* Thu May 25 2006 Olivier Thauvin <nanardon@mandriva.org> 1.21-1mdk
- new %%mkrel behavior

* Sun May 21 2006 Olivier Thauvin <nanardon@mandriva.org> 1.20-1mdk
- fix X11 location
- latest spec-helper adaptation

* Thu May 11 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.19-1mdk
- Revert changes made in 1.18

* Tue Apr 04 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.18-1mdk
- find-requires: require only .so that are in standard paths, and use ldd
  instead of objdump to get their list.

* Fri Mar 24 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.17-1mdk
- Don't provide .so files that aren't in standard paths
- Don't search perl files for provides if they don't end with .pm
- Fix rename macro (don't obsolete what is provided) (Ze)

* Thu Mar 16 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.16-1mdk
- Fix automatic deps for some devel packages (Guillaume Rousse)
- Update OS name

* Tue Mar 14 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.15-1mdk
- Set _repackage_all_erasures to 0 (rgs)
- Add a way to disable fortify from cflags (Olivier Thauvin)
- Add a macro to list all sparc-compatible archs (Per Øyvind Karlsen)
- Emacs mode fixes (Pixel)
- Remove pre flags on python requirement (Helio)

* Sun Jan 15 2006 Olivier Thauvin <nanardon@mandriva.org> 1.14-1mdk
- remove /etc/rpm/macros.* from macros search path
- add macro for gcjdb (Giuseppe)

* Wed Jan 11 2006 Olivier Thauvin <nanardon@mandriva.org> 1.13-1mdk
- add PYTHON-LIBDIR-NOT-FOUND, PYTHON-LIBDIR-NOT-FOUND (misc)

* Tue Jan 10 2006 Olivier Thauvin <nanardon@mandriva.org> 1.12-1mdk
- fix typo in RequireS (#20574)

* Fri Jan 06 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.11-1mdk
- Set _changelog_truncate to "3 years ago"
- Restore _query_all_fmt to its default 4.4.2 value

* Thu Jan 05 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.10-1mdk
- Add _rpmlock_path to default macros

* Wed Jan 04 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.9-1mdk
- find-debuginfo.sh: preserve setuid/setgid permissions when stripping
  files for -debug package
- Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>
  * perl.req: Fix typo in comment
  * macros.in: Typo fix
- Olivier Thauvin <thauvin at aerov.jussieu.fr>
  * find-requires.in: - rpm output to stdout if file exists, so we
    have ignore first output in all case and keep the result only if
    we are sure rpm exit with 0
  * macros.in: - Fix PreReq, thanks neoclust to recall me this

* Tue Oct 18 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.8-1mdk
- Ignore perl version requires
- Get correctly the Perl dependencies from "use base"

* Wed Oct 12 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.7-1mdk
- Insert a dependency on libperl.so for XS perl modules

* Fri Oct 07 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.6-1mdk
- enable -debug packages for 2007
- build with -fasynchronous-unwind-tables on regular x86 too
- build C code with -fexceptions too

* Fri Oct 07 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.5.1-1mdk
- fix %%py_libdir for lib64 platforms (#18772)
- perl.req: add the proper detection of 'use base qw(Foo::Bar)'
  construct (Michael Scherer)

* Fri Aug 26 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.5-1mdk
- make generation of debug packages work again
- factor out compile flags and build with -D_FORTIFY_SOURCE=2

* Fri Aug 19 2005 Olivier Thauvin <nanardon@mandriva.org> 1.4-1mdk
- fix php.req about include of relatives path (P. Terjan)

* Wed Aug 17 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.3-1mdk
- check-multiarch-files: fix invocation and path (/usr/lib/rpm/check-*),
  default to not check for multiarch files in 2006

* Mon Aug 08 2005 Olivier Thauvin <nanardon@zarb.org> 1.2-1mdk
- add req/prov for php pear
- add conectiva macros

* Sun Jun 26 2005 Olivier Thauvin <nanardon@mandriva.org> 1.1-4mdk
- require multiarch-utils

* Fri Jun 24 2005 Olivier Thauvin <nanardon@mandriva.org> 1.1-3mdk
- enforce requirement to avoid conflict during update

* Thu Jun 23 2005 Olivier Thauvin <nanardon@mandriva.org> 1.1-2mdk
- split package for dep

* Tue Jun 14 2005 Olivier Thauvin <nanardon@zarb.org> 1.1-1mdk
- few connectiva macros
- from Gwenole Beauchesne
  - merge from old ppc64 branch:
  * find-requires: handle ppc64 loaders

* Thu May 26 2005 Olivier Thauvin <nanardon@zarb.org> 1.0-1mdk
- 1.0:
  - disable automatic gpg key query on server
  - add automatic require for ocaml (G. Rousse)

* Fri May 13 2005 Olivier Thauvin <nanardon@mandriva.org> 0.8-1mdk
- 0.8: fix %%_localstatedir

* Fri May 13 2005 Olivier Thauvin <nanardon@mandriva.org> 0.7-1mdk
- 0.7 (integrate spec mode for emacs)

* Wed May 11 2005 Olivier Thauvin <nanardon@mandriva.org> 0.6-1mdk
- 0.6 /usr/lib

* Tue May 10 2005 Olivier Thauvin <nanardon@mandriva.org> 0.5-1mdk
- 0.5 (translate pentium[34] => i586)

* Sat May 07 2005 Olivier Thauvin <nanardon@mandriva.org> 0.4-1mdk
- 0.4
  - fix popt options

* Wed May 04 2005 Olivier Thauvin <nanardon@mandriva.org> 0.3-1mdk
- 0.3 (better compatiblity)

* Mon May 02 2005 Olivier Thauvin <nanardon@mandriva.org> 0.2-1mdk
- 0.2 (minor fix)

* Thu Apr 28 2005 Olivier Thauvin <nanardon@mandriva.org> 0.1-1mdk
- First mandriva spec

